org.hibernate.validator.internal.metadata.core

## Enum ConstraintOrigin

- java.lang.Object
- - java.lang.Enum<ConstraintOrigin>
  - - org.hibernate.validator.internal.metadata.core.ConstraintOrigin

- All Implemented Interfaces:
    Serializable, Comparable<ConstraintOrigin>

      public enum ConstraintOrigin
      extends Enum<ConstraintOrigin>

  Visibility looked at when discovering constraints.
  Author:
    Hardy Ferentschik

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFINED_IN_HIERARCHY` Constraint is defined in a super-class or interface of the root class.
    `DEFINED_LOCALLY` Constraint is defined on the root class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConstraintOrigin` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConstraintOrigin[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFINED_LOCALLY

          public static final ConstraintOrigin DEFINED_LOCALLY

      Constraint is defined on the root class

    - #### DEFINED_IN_HIERARCHY

          public static final ConstraintOrigin DEFINED_IN_HIERARCHY

      Constraint is defined in a super-class or interface of the root class.

  - ### Method Detail

    - #### values

          public static ConstraintOrigin[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConstraintOrigin c : ConstraintOrigin.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConstraintOrigin valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved